com.holonplatform.jpa.spring

## Class JpaConfigProperties.JpaConfigPropertiesImpl

- java.lang.Object
- - com.holonplatform.core.internal.config.DefaultConfigPropertySet
  - - com.holonplatform.jpa.spring.JpaConfigProperties.JpaConfigPropertiesImpl

- All Implemented Interfaces:
    com.holonplatform.core.config.ConfigPropertySet, com.holonplatform.core.datastore.DataContextBound, JpaConfigProperties
  Enclosing interface:
    JpaConfigProperties

      public static class JpaConfigProperties.JpaConfigPropertiesImpl
      extends com.holonplatform.core.internal.config.DefaultConfigPropertySet
      implements JpaConfigProperties

  Default implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `com.holonplatform.core.internal.config.DefaultConfigPropertySet.DefaultBuilder<C extends com.holonplatform.core.config.ConfigPropertySet>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.jpa.spring.JpaConfigProperties

      `JpaConfigProperties.JpaConfigPropertiesImpl`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `com.holonplatform.core.config.ConfigPropertySet.Builder<C extends com.holonplatform.core.config.ConfigPropertySet>, com.holonplatform.core.config.ConfigPropertySet.ConfigurationException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.jpa.spring.JpaConfigProperties

      `DATABASE, DEFAULT_NAME, DIALECT, GENERATE_DDL, ORM_PLATFORM, SHOW_SQL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpaConfigPropertiesImpl(String dataContextId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<String>` | `getDataContextId()`

    - ### Methods inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `addAliasName, addPropertyProvider, getConfigPropertyName, getConfigPropertyValue, getName, getSubPropertiesUsingPrefix, hasConfigProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.jpa.spring.JpaConfigProperties

      `builder, builder`

    - ### Methods inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `getConfigPropertyName, getConfigPropertyValue, getConfigPropertyValue, getConfigPropertyValueOrElse, getName, getSubPropertiesUsingPrefix, hasConfigProperty`

- - ### Constructor Detail

    - #### JpaConfigPropertiesImpl

          public JpaConfigPropertiesImpl(String dataContextId)

  - ### Method Detail

    - #### getDataContextId

          public Optional<String> getDataContextId()

      Specified by:
        `getDataContextId` in interface `com.holonplatform.core.datastore.DataContextBound`

Copyright © 2019 The Holon Platform. All rights reserved.